Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.submit.filters
Class WsSecurityAuthenticationRequestFilter

    java.lang.Object
      com.eviware.soapui.impl.wsdl.submit.filters.WsSecurityAuthenticationRequestFilter

All Implemented Interfaces:
  RequestFilter

    public class WsSecurityAuthenticationRequestFilter

extends java.lang.Object
implements RequestFilter

Modifies the request message to include WS-Securty Username and Timestamp tokens

Author:
  Ole.Matzura

Constructor Summary
`WsSecurityAuthenticationRequestFilter()`

Method Summary
`static void` | `addWssHeaders(SubmitContext context, java.lang.String username, java.lang.String password, java.lang.String pwType, java.lang.String wsTimestamp)`
`void` | `filterRequest(SubmitContext context, WsdlRequest wsdlRequest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsSecurityAuthenticationRequestFilter

    public WsSecurityAuthenticationRequestFilter()

Method Detail

### filterRequest

    public void filterRequest(SubmitContext context,
                              WsdlRequest wsdlRequest)

  Specified by:
    `filterRequest` in interface `RequestFilter`

### addWssHeaders

    public static void addWssHeaders(SubmitContext context,
                                     java.lang.String username,
                                     java.lang.String password,
                                     java.lang.String pwType,
                                     java.lang.String wsTimestamp)
                              throws org.xml.sax.SAXException,
                                     java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.